#include <bits/stdc++.h>
using namespace std;
bool moguce(int n, int m, int k) {
    if (k > n) return false;
    //treba da izracunamo koliko minimum krem bananica je potrebno za uslov
    int min1 = n / k;
    int min2 = min1 + n % k;
    int sum = ((min1 * (1 + min1)) / 2) * (k - 1) + (min2 * (1 + min2)) / 2;
    if (sum <= m) return true;
    else return false;
}
int main()
{
    int t;
    int n, m, k;
    cin >> t;
    for (int i = 0; i < t; i++) {
        cin >> n >> m >> k;
        moguce(n, m, k) ? cout << "Tak" <<endl : cout << "Nie" << endl;
    }

}